<?php
/*
 * pages.inc.php
 * -------------
 * A list of pages, the category of them (for display purposes) and
 * any permission required to access them.
 *
 *
 * (C)2004 Stewart Smith
 * Distributed under the GPL.
 */

$permissions_pages = array(
 'index' =>
 array('page' =>'index',
       'title'=>'Membership Home'),

 'membership'=>
 array('category'=>'Membership',
       'items'=>
       array('signup'=>
	     array('page' =>'signup',
		   'title'=>'Sign-up',
		   ),
	     'approve_members'=>
	     array('page'=>'approve_members',
		   'title'=>'Approve',
		   'activity'=>'add org_members'),
	     'memberlist'=>
	     array('page'=>'memberlist',
		   'category'=>'Member List',
		   'activity'=>'list members',
		   'logged_in'=>1,
		   'items'=>array(
				  'exportmembers'=>
				  array('page'=>'exportmembers',
					'title'=>'Export',
					'activity'=>'list members'),
				  ),
		   ),
	     ),
       ),
 'mydetails'=>
 array('category'=>'My Details',
       'page'=>'edit-member',
       'logged_in'=>1,
       'items'=>array(
		      'passwd'=>
		      array('page'=>'passwd',
			    'title'=>'Change Password',
			    'logged_in'=>1
			    ),
		      ),
       ),
/* 'orgs'=>
 array('category'=>'Organisations',
       'items'=>
       array('vendors'=>
             array('page'=>'vendors',
	           'title'=>'Vendors')
	     )
       ),*/
 'positions'=>
 array('category'=>'Positions',
       'items'=>
       array('edit-positions'=>
	     array('page'=>'edit-positions',
		   'title'=>'Edit Types',
		   'activity'=>'edit positions'
		   ),
	     'edit-position-holders'=>
	     array('page'=>'edit-position-holders',
		   'title'=>'Edit Holders',
		   'activity'=>'edit positions'
		   ),
	     ),
       ),
 'elections'=>
 array('category'=>'Elections',
       'page'=>'elections',
       'logged_in'=>1,
       'items'=>
       array('edit-election'=>
	     array('page'=>'edit-election',
		   'title'=>'New',
		   'logged_in'=>1,
		   'activity'=>'election admin'
		   )
	     )
       ),
/*'survey-salary' =>
 array('page'=> 'survey-salary',
       'title'=>'Salary Survey',
  	   'logged_in' => 1,
  	  ),
*/
 'edit-site-message'=>
 array('page'=>'edit-site-message',
       'title'=>'Edit Emails sent',
       'logged_in'=>1,
       'activity'=>'edit site-message'
       ),

 );


?>
